<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net10.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>

	<ItemGroup>
		<ProjectReference Include="..\..\Atomx.Data\Atomx.Data.csproj" />
		<ProjectReference Include="..\..\Atomx.Utils\Atomx.Utils.csproj" />
		<ProjectReference Include="..\Atomx.Admin.Client\Atomx.Admin.Client.csproj" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="10.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Server" Version="10.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="10.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="10.0.0">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.Extensions.Caching.StackExchangeRedis" Version="10.0.0" />
		<PackageReference Include="Scalar.AspNetCore" Version="2.11.0" />
		<PackageReference Include="Serilog.Settings.Configuration" Version="10.0.0" />
		<PackageReference Include="Serilog.Sinks.Console" Version="6.1.1" />
		<PackageReference Include="Serilog.Sinks.Seq" Version="9.0.0" />
		<PackageReference Include="TickerQ" Version="10.0.1" />
		<PackageReference Include="TickerQ.Dashboard" Version="10.0.1" />
		<PackageReference Include="TickerQ.EntityFrameworkCore" Version="10.0.1" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="Resources\" />
	</ItemGroup>

</Project>
